> ## Documentation Index
> Fetch the complete documentation index at: https://docs.procuros.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Report Outgoing Error

> If you encounter an error while building an outgoing transaction payload, you can report it here. The error will enter the same exception handling process as an error reported while processing incoming transactions.



## OpenAPI

````yaml /en/api/v2/openapi-v2.yaml post /v2/errors
openapi: 3.0.3
info:
  title: Procuros API
  description: Manage Procuros Transactions.
  version: 2.0.0
servers:
  - url: https://api.procuros.io/
  - url: https://api.procuros-staging.io/
security:
  - api_token: []
paths:
  /v2/errors:
    post:
      tags:
        - Outgoing Transactions
      summary: Report Outgoing Error
      description: >-
        If you encounter an error while building an outgoing transaction
        payload, you can report it here. The error will enter the same exception
        handling process as an error reported while processing incoming
        transactions.
      operationId: v2_report_error
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - errorReason
                - errorType
              properties:
                errorReason:
                  type: string
                  description: The reason for the error.
                errorType:
                  $ref: '#/components/schemas/ErrorType'
                errorContext:
                  type: object
                  description: Additional context/meta data for the error.
                  additionalProperties:
                    type: string
                transactionIdentifier:
                  type: string
                  description: >-
                    Provide if error can be assigned to a specific outgoing
                    transaction. Depending on the transactionType: Order number,
                    Invoice number, etc.
                  example: IV-0001
                transactionType:
                  description: >-
                    Provide if error can be assigned to a specific outgoing
                    transaction.
                  allOf:
                    - $ref: '#/components/schemas/TransactionType'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
                    description: Status message
                  errorUrl:
                    type: string
                    description: >-
                      URL to the Procuros portal where users can view the error
                      and mark it as resolved.
              example:
                message: OK.
                errorUrl: https://portal.procuros.io/.../errors/{{procurosErrorId}}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralValidationErrorResponse'
        4XX:
          description: Client Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
        5XX:
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
components:
  schemas:
    ErrorType:
      type: string
      description: >-
        The type of the error. `DATA` indicates that the error is caused by
        invalid or insufficient data and can be resolved by a user. `INTERNAL`
        indicates a system-level error that cannot be fixed by a user.
      enum:
        - DATA
        - INTERNAL
    TransactionType:
      type: string
      description: Type of transaction.
      enum:
        - ORDER
        - ORDER_RESPONSE
        - SHIPPING_NOTICE
        - INVOICE
        - CREDIT_NOTE
        - DISPATCH_INSTRUCTION
        - DISPATCH_INSTRUCTION_RESPONSE
        - RECEIVAL_NOTICE
        - REMITTANCE_ADVICE
        - PRODUCT_CATALOG
        - INVENTORY_REPORT
        - SALES_REPORT
    GeneralValidationErrorResponse:
      type: object
      required:
        - message
        - errors
      properties:
        message:
          type: string
        errors:
          $ref: '#/components/schemas/ValidationError'
    InternalErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    ValidationError:
      type: object
      additionalProperties:
        type: array
        description: List of validation errors.
        minItems: 1
        items:
          type: string
  securitySchemes:
    api_token:
      type: http
      scheme: bearer
      description: The API Token of your ERP Connection.

````